Code/Areas/ApplicationManagement/Controllers/OrganizationUserController.cs
using Cyberanium.Factory;
using CyberaniumModels;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.Extensions.Logging;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Threading.Tasks;


namespace Cyberanium.Areas.ApplicationManagement.Controllers
{
    [Area("ApplicationManagement")]
    public class OrganizationUserController : Controller
    {
        private readonly ILogger<OrganizationUserController> _logger;

        public OrganizationUserController(ILogger<OrganizationUserController> logger)
        {
            _logger = logger;
        }
        public async Task<IActionResult> Index()
        {
            UserLogin obj = new UserLogin();
            int EmployeeId = Convert.ToInt16(HttpContext.Session.GetInt32("UserId"));
            obj.DdlParentOrg = new SelectList(await ApiClientFactory.Instance.GetOrganizationByEmplyoyeeID(EmployeeId), "Id", "ParentOrgName");
            obj.DdlOrgUserAccess = new SelectList(await ApiClientFactory.Instance.GetEnumByType(14), "Value", "Name");
            List<SelectListItem> List = new List<SelectListItem>();
            var data = new[]{
                 new SelectListItem{ Value="1",Text="Viewer"},
                 new SelectListItem{ Value="2",Text="Approver"},
             };
            List = data.ToList();
            obj.DdlAccessRole = List;
            ViewBag.message = TempData["success"];
            ViewBag.error = TempData["error"];
            return View(obj);
        }
        public async Task<IActionResult> Index2()
        {
            UserLogin obj = new UserLogin();
            int EmployeeId = Convert.ToInt16(HttpContext.Session.GetInt32("UserId"));
            obj.DdlOrganization = new SelectList(await ApiClientFactory.Instance.GetAssignedOrganizationByEmplyoyeeID(EmployeeId), "Id", "OrgName");
            var userlist = await ApiClientFactory.Instance.GetUsers();
            var str = await ApiClientFactory.Instance.GetEnumByType(10);
            var res = await ApiClientFactory.Instance.GetUsers();
            obj.UserSelectList = new SelectList(res.Where(m=>m.RoleId==4 || m.RoleId==2), "Id", "UserName");
            return View(obj);
        }
        public async Task<JsonResult> GetClientList(string TeamId)
        {
            var teamIdval = TeamId;
            dynamic stuff = JsonConvert.DeserializeObject(teamIdval);
            var str1 = string.Empty;
            var str2 = string.Empty;
            var str4 = "";
            var items = "";
            var SrNo = 0;
            foreach (var a in stuff)
            {
                SrNo++;
                int _TermId = a.Id;
                var userlist = await ApiClientFactory.Instance.GetUsers();
                var term = userlist.Where(x => x.Id == _TermId);
                foreach (var item in term)
                {
                    var b = item.RoleId;
                    var str = await ApiClientFactory.Instance.GetEnumByType(10);
                    var str3 = str.Where(x => x.Value == b);
                    foreach (var item2 in str3)
                    {
                        items = "<option value=\"" + item2.Value + "\">" + item2.Name + "</option>";
                        str2 += "<tr><td>" + SrNo + "</td><td class='col-md-6 col-sm-6'><input type='hidden' class='form-control m_no txtClientId' value=" + a.Id + " placeholder='Enter User name'/><input class='form-control m_no txtClientName' value='" + a.UserName + "' placeholder='Enter User name'/><td><td class='col-md-6 col-sm-6'><select id='DropDownListClient_" + SrNo + "' value="+b+" class='DropDownListClient form-control m_no'>"+ items + "</select><td>" +
                   "</tr>";
                    }
                    str4 = str2;
                }
            }
            return Json(str4);
        }
        public async Task<Message<ClientAdmin>> DeleteClientAdmin(int Id) => await ApiClientFactory.Instance.DeleteClientAdmin(Id);
        public async Task<JsonResult> getClientadmin(int OrgId = 0)
        {
            var SrNo = 0;
            var str1 = string.Empty;
            var str2 = string.Empty;
            var strr = string.Empty;
            var items = "";
            var res = await ApiClientFactory.Instance.getClientadmin();
            if (OrgId != 0)
            {
                try
                {
                    var filldata = await ApiClientFactory.Instance.getClientadminFillData(OrgId);
                    if (filldata.Count > 0)
                    {
                        int[] cat = new int[filldata.Count];
                        for (int i = 0; i < filldata.Count; i++)
                        {
                            cat[i] = filldata[i].ClientId;
                        }
                        strr = String.Join(",", cat);
                    }
                    else
                    {
                        strr = "";
                    }

                }
                catch (Exception ex)
                {
                    ex.HResult = 0;
                    //throw ex;
                }

            }
            else
            {
                strr = "";
            }
            if (OrgId > 0)
            {
                var res2 = res.Where(x => x.OrganizationId == OrgId);
                foreach (var item in res2)
                {
                    SrNo++;
                    var b = item.AssignRoleClientId;
                    var c = item.AssignRoleClient;
                    items = "<option value=\"" + b + "\">" + c + "</option>";
                    str1 += "<tr><td>" + SrNo + "</td><td>" + item.Organization + "</td><td>" + item.ClientName + "</td><td>" + item.AssignRoleClient + "</td><td><a class='delete_btn' onclick='Confirmation(" + item.Id + ",`" + item.ClientName + "`)'></a></td></tr>";
                    str2 += "<tr><td>" + SrNo + "</td><td class='col-md-6 col-sm-6'><input type='hidden' class='form-control m_no txtClientId' value=" + item.Id + " placeholder='Enter User name'/><input class='form-control m_no txtClientName' value=" + item.ClientName + " placeholder='Enter User name'/><td><td class='col-md-6 col-sm-6'><select id='DropDownListClient_" + SrNo + "' value=" + b + " class='DropDownListClient form-control m_no'>" + items + "</select><td>" +
                       "</tr>";
                }
            }
            else
            {
                foreach (var item in res)
                {
                    SrNo++;
                    str1 += "<tr><td>" + SrNo + "</td><td>" + item.Organization + "</td><td>" + item.ClientName + "</td><td>" + item.AssignRoleClient + "</td><td><a class='delete_btn' onclick='Confirmation(" + item.Id + ",`" + item.ClientName + "`)'></a></td></tr>";
                }
            }
            return Json(new { str1, str2, strr });
        }

        [HttpPost]
        public async Task<JsonResult> SaveOrganizationUser(UserLogin model)
        {
            _logger.LogInformation("SaveOrganizationUser");
            model.CreatedIP = HttpContext.Session.GetString("IP");
            model.CreatedBy = (int)HttpContext.Session.GetInt32("UserId");
            var res = await ApiClientFactory.Instance.SaveOrganizationUser(model);
            if (res.IsSuccess)
            {
                TempData["success"] = (model.Id > 0 ? "Updated successfully" : "Saved successfully");
            }
            else
            {
                TempData["error"] = "Error during save functions";
            }
            return Json(res);
        }

        [HttpPost]
        public async Task<JsonResult> SubmitClientAdmin(UserLogin model)
        {

            _logger.LogInformation("SubmitClientAdmin");
            model.CreatedIP = HttpContext.Session.GetString("IP");
            model.CreatedBy = (int)HttpContext.Session.GetInt32("UserId");
            var res = await ApiClientFactory.Instance.SubmitClientAdmin(model);
            if (res.IsSuccess)
            {
                TempData["success"] = "Saved successfully";
            }
            else
            {
                TempData["error"] = "Something went wrong!";
            }
            return Json(res);
        }
        public async Task<IActionResult> getOrganizationUsers(int OrgID)
        {
            _logger.LogInformation("getOrganizationUsers");
            var res = await ApiClientFactory.Instance.getOrganizationUsers(OrgID);
            return Json(res);
        }
        public async Task<IActionResult> EditOrganizationUsers(int ID)
        {
            _logger.LogInformation("EditOrganizationUsers");
            var res = await ApiClientFactory.Instance.EditOrganizationUsers(ID);
            return Json(res);
        }

        //public async Task<IActionResult> GetOrganizationUsersPassword(int ID)
        //{
        //    _logger.LogInformation("GetOrganizationUsersPassword");
        //    var res2 = await ApiClientFactory.Instance.EditOrganizationUsers(ID);
        //    var res = await ApiClientFactory.Instance.OrganizationUsersPassword(ID);
        //    return Json(new { res, res2 });
        //}
        public async Task<IActionResult> DeleteOrganizationUsers(int ID)
        {
            _logger.LogInformation("DeleteOrganizationUsers");
            var res = await ApiClientFactory.Instance.DeleteOrganizationUsers(ID);
            return Json(res);
        }
        public async Task<IActionResult> DisableOrganizationUsers(int ID)
        {
            _logger.LogInformation("DisableOrganizationUsers");
            var res = await ApiClientFactory.Instance.DisableOrganizationUsers(ID);
            return Json(res);
        }
        public async Task<IActionResult> PasswordResetOrganizationUsers(int ID, string Password)
        {
            _logger.LogInformation("PasswordResetOrganizationUsers");

Code/Areas/ApplicationManagement/Views/OrganizationUser/Index.cshtml
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.UserLogin
@{
    ViewData["Title"] = "Index";
}

@*@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
    {
        <script>
            toastr.success('@TempData["success"]');
        </script>
    }
    else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
    {
        <script>
            toastr.error('@TempData["error"]');
        </script>
    }*@

<script src="~/Script/ApplicationManagement/OrganizationUsers.js"></script>

<script>
    $(document).ready(function () {
        $('#invalid_email').hide();
        $('.chosen-select').chosen();
        $("#t_CanAccess").multiselect({
            enableFiltering: true,
            includeSelectAllOption: true
        });
    })
</script>

<style>
    a:hover {
        color: white;
    }

    .Lastpwd {
        height: 28px;
    }

    span.icon img {
        width: 18px;
        height: 16px;
        margin-top: 9px;
        cursor: pointer;
    }
</style>
<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Current Users
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="AccountManagement" asp-area="ApplicationManagement">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <label class="required">Select Organization</label>
                            <div class="select_box m_bottom">
                                @Html.DropDownListFor(m => m.OrgID, Model.DdlParentOrg, "Select an Option", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_ShowFun()" })
                            </div>
                        </div>
                    </div>
                    <div style="display:none" id="DivMain">
                        <div class="row">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="addbtn">
                                    <div class="add_litigation">
                                        <span>+</span>
                                        <input type="button" name="add User" onclick="fn_openPopup()" value="Add User">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row" style="padding-top:15px">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="table_control">
                                    <table id="tblOrgUsers" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width: 70px;">SN</th>
                                                <th>Username</th>
                                                <th>User ID</th>
                                                <th>Provide Access to</th>
                                                <th style="width:150px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="5" class="text-center"> No record found..</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        @*<form id="form" method="post" asp-action="SaveOrganizationUser" asp-controller="OrganizationUser"
            data-ajax="true"
            data-ajax-method="POST"
            data-ajax-mode="replace"
            data-loading-text="loading..."
            data-ajax-update="#ajaxresult"
            data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/OrganizationUser/Index');"
            data-ajax-failure="Errmsg(data);">*@
        @Html.HiddenFor(m => m.CanAccess)
        @Html.HiddenFor(m => m.PasswordNew)
        @Html.HiddenFor(m => m.t_UserIDNew)
        @Html.HiddenFor(m => m.Id)
        @Html.HiddenFor(m => m.OrganizationId)
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-2" id="title">
                CREATE NEW USER
            </div>
            <div class="modal-body">
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("User Name")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.UserName, new { @class = "form-control m_no", onblur = "generateUserID()" })
                    </div>
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("User ID")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_UserID, new { @class = "form-control m_no", disabled = "disabled" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Email")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.Email, new { @class = "form-control m_no", onblur = "generatePassword(8);generateEmail(this)", required = "required" })
                        <span class="error" id="invalid_email">Email-id is invalid</span>
                    </div>
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Password")
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        <input type="password" asp-for="Password" class="form-control m_no" disabled="disabled" />
                    </div>
                    <div class="col-md-1 col-sm-6 col-xs-12">
                        <a title='View Password' onclick='fn_ViewPassword()'><span class="icon"><img src="~/Image/eye1.png" /></span></a>
                    </div>
                </div>
                <div class="row" style=" margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Can Access")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.DropDownListFor(m => m.t_CanAccess, Model.DdlOrgUserAccess, new { @class = "form-control m_no", required = "required", multiple = "multiple" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-2 col-sm-6 col-xs-12">
                        @Html.Label("Access Role")
                    </div>
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.DropDownListFor(m => m.t_AccessRole, Model.DdlAccessRole, "--Select--", new { @class = "form-control m_no", required = "required" })
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                @*<button type="submit" class="btn btn-primary" onclick="return fn_saveUser()">Save</button>*@
                <a class="btn btn-danger" data-dismiss="modal" href="#exampleModalCenter">Close</a>
                <button class="btn btn-primary" onclick="fn_saveUser()">Save</button>
            </div>
        </div>
        @*</form>*@
    </div>
</div>

<div class="modal fade" id="PasswordResetCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered " role="document">
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-2">
                RESET PASSWORD
            </div>
            <div class="modal-body">
                @Html.HiddenFor(m => m.Id)
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("Current Password:")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_CurrentPassword, new { @class = "form-control m_no", disabled = "disabled" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("New Password:")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_ResetPassword, new { @class = "form-control m_no" })
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-sm-6 col-xs-12">
                        @Html.Label("Confirm Password:")
                    </div>
                    <div class="col-md-8 col-sm-6 col-xs-12">
                        @Html.TextBoxFor(m => m.t_ConfirmPassword, new { @class = "form-control m_no" })
                    </div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-danger" data-dismiss="modal" href="#PasswordResetCenter">Close</a>
                    <button type="button" class="btn btn-primary" onclick="fn_savePassword()">Save</button>
                </div>
            </div>
        </div>
    </div>
</div>

Code/Areas/ApplicationManagement/Views/OrganizationUser/Index2.cshtml
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.UserLogin
@{
    ViewData["Title"] = "Index";
}
<style>
    a:hover {
        color: white;
    }

    .btn-group {
        width: 100%;
    }

        .btn-group-vertical > .btn, .btn-group > .btn {
            float: inherit;
            width: 100%;
        }

            btn-group-vertical > .btn, .btn-group > .btn:focus, btn-group-vertical > .btn, .btn-group > .btn.focus {
                outline: 0;
                box-shadow: none;
            }
    .domaincls {
        height: calc(100vh - 262px);
        padding: 0px 12px 15px;
        background: #f8f8f8;
        overflow-y: auto;
    }

        .domaincls .table_control {
            margin-top: 12px;
        }
</style>
<script src="~/Script/Master/Layout.js"></script>
<script>
    function fn_saveUser() {
        debugger
        if ($('#OrgID').val() > 0) {
            OrganizationId = $("#OrgID option:selected").val();
            Organization = $("#OrgID option:selected").text();
            var ClientXML = [], Sn = 0;
            $('#tblClientAdmin tr').each(function (i, item) {
                ClientXML[i] = {
                    ClientId: $(this).find('.txtClientId').val(),
                    ClientName: $(this).find('.txtClientName').val(),
                    AssignRoleClientId: $(this).find('.DropDownListClient option:selected').val(),
                    AssignRoleClient: $(this).find('.DropDownListClient option:selected').text(),
                }
            })
            var model = {
                OrganizationId: OrganizationId,
                Organization: Organization,
                ClientAdminXml: JSON.stringify(ClientXML),
            }
            $.post('/ApplicationManagement/OrganizationUser/SubmitClientAdmin', { model: model }, function (res) {
                $('#preloader').hide();
                $('#tblClientAdmin tbody').empty();
                $('#exampleModalCenter').modal('hide');
                $(".modal-backdrop").remove();
                $.get('/ApplicationManagement/OrganizationUser/Index2', function (res) { $('#ajaxresult').html(res) });
            });
        }
        else {
            toastr.error('Please select Organization');
        }
    }

    $('#btnView').click(function () {
        if ($('#Id option:selected').length > 0) $('#btnsave').show();
        $('#tblClientAdmin tbody').empty();
        var ICDControlTypeMapXML = [], SNo = 0
        $('#Id option:selected').each(function (i, e) {
            var str = $(e).text();
            if ($(this).val() == 'multiselect-all') {
                return;

            }
            else {
                ICDControlTypeMapXML[SNo] = {
                    Id: parseInt($(this).val()),
                    UserName: $(e).text()

                }
                SNo++;
            }

        });
        var CurrenTteam = JSON.stringify(ICDControlTypeMapXML);
        var str = JSON.parse(CurrenTteam);
        var SrNo = 0;

        $.getJSON('/ApplicationManagement/OrganizationUser/GetClientList', { TeamId: CurrenTteam }, function (str4) {
            debugger
            $('#tblClientAdmin tbody').append(str4);
        });
    })

    $.getJSON('/ApplicationManagement/OrganizationUser/getClientadmin', {}, function (res) {
        debugger
        $('#tblclientAdminList').append(res.str1);
    });
    function fn_ShowFun(input) {
        $.getJSON('/ApplicationManagement/OrganizationUser/getClientadmin', { OrgId: $(input).val() }, function (res) {
            debugger
            $('#tblClientAdmin tbody').empty();
            $('#tblclientAdminList tbody').empty();
            $('#tblclientAdminList tbody').append(res.str1);
            $('#tblClientAdmin tbody').append(res.str2);

            var str = res.strr;
            var arr = str.split(',');
            $('#Id').val(arr);
            $('#Id').multiselect('refresh');
            if ($('#tblclientAdminList tbody tr:visible').length === 0) {
                $('#tblclientAdminList tbody').append("<tr><td colspan='5'>No record found..</td></tr>");
            }
        });
    }
    function fn_AddUserPopup() {
        $('#btnsave').hide();
        if ($("#OrgID option:selected").val() > 0) {
            $('#exampleModalCenter').modal('show');
            $(".modal-backdrop").addClass('in');
            
        } 
        else {
            toastr.error('Please select organization!');
           
        }
        if ($('#Id option:selected').val() > 0) {
            $('#btnsave').show();
        }
    }

    function Confirmation(input, parentOrgName) {
        Swal.fire({
            title: 'Are you sure?',
            text: 'You are about to delete User Name details to ' + parentOrgName,
            showCancelButton: true,
            confirmButtonText: 'Delete',
        }).then((result) => {
            if (result.isConfirmed) {
                $('#preloader').show();
                $.get('/ApplicationManagement/OrganizationUser/DeleteClientAdmin', { Id: input }, function (res) {
                    debugger
                    $('#preloader').hide();
                    toastr.success(parentOrgName + ' deleted successfully');
                    $.get('/ApplicationManagement/OrganizationUser/Index2', function (res) { $('#ajaxresult').html(res) });
                })
            }
        })
    }

</script>

<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Current Users
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="AccountManagement" asp-area="ApplicationManagement">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <label class="required">Select Organization</label>
                            <div class="select_box m_bottom">
                                @Html.DropDownListFor(m => m.OrgID, Model.DdlOrganization , "Select an Option", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_ShowFun(this)" })
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="addbtn">
                                <div class="addbtn">
                                    <div class="add_litigation">
                                        <span>+</span>
                                        <input type="button" name="add User" onclick="fn_AddUserPopup()" value="Add User">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="assign_box active_block fade in">
                                <div class="table_control">
                                    <table id="tblclientAdminList" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width: 70px;">SN</th>
                                                <th>Organization</th>
                                                <th>
                                                    User Name
                                                </th>
                                                <th>
                                                    Role Assigned
                                                </th>
                                                <th style="width:130px">Action</th>
                                            </tr>
                                        </thead>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-4">
                Client Admin
            </div>
            <div class="modal-body">
                <div class="row pb-3">
                    <div class="col-md-2 col-sm-6">
                        Select Team
                    </div>
                    <div class="col-md-4 col-sm-6">
                        @Html.HiddenFor(x => x.RoleId, new { id = "RoleId" })
                        @Html.DropDownListFor(m => m.Id, Model.UserSelectList, new { @class = "form-control m_no multiple chosen-select", @multiple = "multiple" })
                    </div>
                    <div class="col-md-2 col-sm-6">
                        <button type="button" id="btnView" class="btn btn-primary">Next</button>
                    </div>
                </div>
                <table id="tblClientAdmin" class="table pt-3">
                    <tbody>
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <a class="btn btn-danger" data-dismiss="modal" href="#exampleModalCenter">Close</a>
                <button type="button" id="btnsave" class="btn btn-primary" onclick="fn_saveUser()" style="display: none;">Save</button>
            </div>
        </div>
    </div>
</div>